Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.net
Enum SendfileKeepAliveState

    java.lang.Object
      java.lang.Enum<SendfileKeepAliveState>
          org.apache.tomcat.util.net.SendfileKeepAliveState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SendfileKeepAliveState>

    public enum SendfileKeepAliveState

extends java.lang.Enum<SendfileKeepAliveState>

Enum Constant Summary
`NONE` Keep-alive is not in use.
`OPEN` Keep-alive is in use.
`PIPELINED` Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

Method Summary
`static SendfileKeepAliveState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SendfileKeepAliveState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final SendfileKeepAliveState NONE

  Keep-alive is not in use. The socket can be closed when the response has been written.

### PIPELINED

    public static final SendfileKeepAliveState PIPELINED

  Keep-alive is in use and there is pipelined data in the input buffer to be read as soon as the current response has been written.

### OPEN

    public static final SendfileKeepAliveState OPEN

  Keep-alive is in use. The socket should be added to the poller (or equivalent) to await more data as soon as the current response has been written.

Method Detail

### values

    public static final SendfileKeepAliveState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SendfileKeepAliveState c : SendfileKeepAliveState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SendfileKeepAliveState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.